package vfl;

import JSci.maths.ExtraMath;
import java.awt.*;
import java.util.*;
import java.awt.geom.*;

public class SeaEllipse implements SeaObject {
    
    private double a;
    private double b;
    private double cx;
    private double cy;
    
    
    public SeaEllipse(double cx, double cy, double lambda, double height, double amp,double xfactor, double yfactor,
    double xstart, double ystart) {
        double k = 2.0*Math.PI/ lambda;
        
        this.a = amp*ExtraMath.cosh(k*(-(cy)+height)) / ExtraMath.cosh(k*height);
        this.b = amp*ExtraMath.sinh(k*(-(cy)+height)) / ExtraMath.sinh(k*height);
        
        this.cx = cx-a;
        this.cy = cy-b;
        this.cx *=xfactor;
        this.cy *=yfactor;
        
        this.a *= xfactor;
        this.b *= yfactor;
        
        this.cx = this.cx - (xstart*xfactor);
        this.cy = this.cy - (ystart*yfactor);
        
    }
    
    
    public void move(double time){}
    
    public void moveTo(double time){}
    
    public void paint(Graphics g){
        g.setColor(Color.red);
        g.drawOval((int)Math.round(cx),(int)Math.round(cy),(int)Math.round(2*a), (int)Math.round(2*b));
        
    }
    
    
    
    
}
