package vfl;

import javax.swing.Timer;
import java.awt.event.*;

public class SeaRun implements ActionListener {
	
	private Timer run;
	private SeaScape ss; 
	private double time;
	private SeaGUI sg;
	
	public SeaRun(double time, SeaScape a, SeaGUI sg) {
     	run = new Timer((int)(time*1000.0),this); 	  
	    ss = a;
	    this.time = time;
	    this.sg = sg;
	}
	
	public void setInterval(double time) {
		this.time = time;
		run = new Timer((int)(time*1000.0),this); 	  
	    
	}
	
	public void setTimeStart(double time) {
		ss.moveTo(time);
	
	}
	
	
	public void setMode(boolean on) {
	   if (on) run.start();
	   else run.stop();
	}
	
	public void actionPerformed(ActionEvent e) {
		ss.move(time);
	    sg.redraw();
	}

}

	
